#include <stdio.h>
#include <stdlib.h>
#include <rsbac/types.h>
#include <rsbac/getname.h>
#include "locale.h"

int main(int argc, char ** argv)
{
  char name[80];
  int value;

  setlocale (LC_ALL, "");
  bindtextdomain (PACKAGE, LOCALEDIR);
  textdomain (PACKAGE);
  
  if (argc == 2)
    {
      value = strtol(argv[1],0,10);
      if((value < 0) || (value > A_none))
        printf("%i\n", A_none);
      else
        printf("%s\n", get_attribute_name(name,value));
    }
  else
    {
      printf(gettext("%s (RSBAC %s)\n***\n"), argv[0], VERSION);
      printf(gettext("Use: %s value\n"), argv[0]);
      printf(gettext("value = attribute number\n\n"));
      exit(1);
    }
    
  exit(0);
}
