/*RSBAC global network client
 *
 *(c) Stanislav Ievlev <inger@linux.ru.net>
 */
/*auth.h - header for auth.c*/

#ifndef AUTH_H
#define AUTH_H

char *get_salt(char *salt);
char *get_secret(char *key);
char *get_password(char *key,int length);
char *get_random_number(char *tmpstr,int num);

char *my_hash(char *password,char *salt);
void my_encrypt(char *password,char *message);
void my_decrypt(char *password,char *message);
char *DH_check(int s,char *DH_keyword,int server);
#endif /*AUTH_H*/
