#include <stdio.h>
#include <stdlib.h>
#include <rsbac/types.h>
#include <rsbac/getname.h>
#include "locale.h"

int main(int argc, char ** argv)
{
  int value;

  setlocale (LC_ALL, "");
  bindtextdomain (PACKAGE, LOCALEDIR);
  textdomain (PACKAGE);
  
  if (argc == 2)
    {
      value = get_attribute_nr(argv[1]);
      printf("%i\n", value);
    }
  else
    {
      printf(gettext("%s (RSBAC %s)\n***\n"), argv[0], VERSION);
      printf(gettext("Use: %s attribute_name\n"), argv[0]);
      exit(1);
    }
    
  exit(0);
}
