/*RSBAC global network client
 *
 *(c) Sergey Pugachev <fd_rag@linux.ru.net>
 */
 
/*fd-log.c - some log functions*/

#include "r-job.h"
#include "auth.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <time.h>


extern char *log_filename;
extern char *errlog_filename;
FILE *big_log;

void fd_log_start(char *station, int level)
{
    time_t now;				
    char time_tmp[25];

	if(log_filename == NULL) return;
	
	    now = time((time_t *)NULL);		
   	    sprintf(time_tmp,"%s", ctime(&now));		
	    time_tmp[strlen(time_tmp)-5]=0;
	    
		big_log=fopen(log_filename,"a");
		
    fprintf(big_log,"%sIP:%s Level:%u ",time_tmp,station,level);
}


void fd_log(char *command_str)
{
    if(log_filename == NULL) return;
    
    fprintf(big_log,"Command:%s",command_str);
}

void fd_log_arg(char *command_str)
{
    if(log_filename == NULL) return;
        fprintf(big_log,"[%s]",command_str);
}

void fd_log_end()
{
    if (big_log==NULL) return;

    fprintf(big_log,"\n");
    fclose(big_log);
}

void fd_err_log(char *err_str, char *station)
{
    time_t now;				
    char time_tmp[25];
    FILE *err_log=NULL;

    if(errlog_filename == NULL) return;
	
    now = time((time_t *)NULL);		
    sprintf(time_tmp,"%s", ctime(&now));		
    time_tmp[strlen(time_tmp)-5]=0;
	    
    err_log=fopen(errlog_filename,"a");
    if (err_log==NULL)	return;
		
    fprintf(err_log,"%s[%s] %s\n",time_tmp,station,err_str);
    fclose(err_log);
}
// ERROR in other station