#include <stdio.h>
#include <stdlib.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>
#include <rsbac/error.h>
#include <rsbac/getname.h>
#include "locale.h"

int main(int argc, char ** argv)
{
  int res = 0;

  setlocale (LC_ALL, "");
  bindtextdomain (PACKAGE, LOCALEDIR);
  textdomain (PACKAGE);
  
  res = rsbac_write();
      if(res<0)
        {
          error_exit(res);
        }
      else
        {
          printf(gettext("%s: %i lists written\n"), argv[0], res);
          res = 0;
        }
    
  return (res);
}
